import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';

export const columns: BasicColumn[] = [
  {
    title: '储区编码',
    resizable: true,
    sorter: true,
    dataIndex: 'REGION_CODE',
  },
  {
    title: '储区名称',
    resizable: true,
    sorter: true,
    dataIndex: 'REGION_NAME',
  },
  {
    title: '仓库编号',
    resizable: true,
    sorter: true,
    dataIndex: 'WH_CODE',
  },
  {
    title: '创建时间',
    resizable: true,
    sorter: true,
    dataIndex: 'CREATE_TIME',
    width: 180,
  },
  {
    title: '备注',
    resizable: true,
    sorter: true,
    dataIndex: 'REMARK',
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'REGION_CODE',
    label: '储区编码',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'REGION_NAME',
    label: '储区名称',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'TABLE_NAME',
    label: '表名',
    component: 'Input',
    colProps: { span: 8 },
    defaultValue: 'WMS_REGION',
    ifShow: false,
  },
];

export const formSchema: FormSchema[] = [
  {
    field: 'REGION_CODE',
    label: '储区编码',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'ID',
    label: 'ID',
    component: 'Input',
    show: false,
  },
  {
    field: 'REGION_NAME',
    label: '储区名称',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'WAREHOUESE_CODE',
    label: '仓库编号',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'REMARK',
    label: '备注',
    // required: true,
    component: 'Input',
    colProps: { span: 24 },
  },
];
